From 0d634064a3a3811a46c58053932c94b3c1d41f50 Mon Sep 17 00:00:00 2001
From: James Coleman <jtc331@gmail.com>
Date: Tue, 31 Mar 2020 14:06:11 -0400
Subject: [PATCH v48 7/7] bits32

---
 src/backend/commands/explain.c | 2 +-
 src/include/nodes/execnodes.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/commands/explain.c b/src/backend/commands/explain.c
index 583906d1bd..8aa45a719c 100644
--- a/src/backend/commands/explain.c
+++ b/src/backend/commands/explain.c
@@ -2719,7 +2719,7 @@ show_incremental_sort_group_info(IncrementalSortGroupInfo *groupInfo,
 	List	   *methodNames = NIL;
 
 	/* Generate a list of sort methods used across all groups. */
-	for (int bit = 0; bit < sizeof(Size); ++bit)
+	for (int bit = 0; bit < sizeof(bits32); ++bit)
 	{
 		if (groupInfo->sortMethods & (1 << bit))
 		{
diff --git a/src/include/nodes/execnodes.h b/src/include/nodes/execnodes.h
index 05c03a8fde..fb490b404c 100644
--- a/src/include/nodes/execnodes.h
+++ b/src/include/nodes/execnodes.h
@@ -2036,7 +2036,7 @@ typedef struct IncrementalSortGroupInfo
 	long		totalDiskSpaceUsed;
 	long		maxMemorySpaceUsed;
 	long		totalMemorySpaceUsed;
-	Size		sortMethods; /* bitmask of TuplesortMethod */
+	bits32		sortMethods; /* bitmask of TuplesortMethod */
 } IncrementalSortGroupInfo;
 
 typedef struct IncrementalSortInfo
-- 
2.17.1

